/*
 xGL:Texture.h
 Created by mantis on 4/07/05.
 Copyright 2005 xonko interactive. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "vectorLib.h"

@interface XGLTexture : NSObject {
	GLuint textureID;
	GLint imgformat;
	NSString *name;
	NSString *srcPath;
}

-(GLuint)textureID;
-(GLint)imgformat;

-(id)init;
-(id)initWithImagePathOrName:(NSString *)imagePathOrName;

-(NSString *)name;
-(void)setName:(NSString *)aName;

- (NSString *)sourceImagePath;
- (void)setSourceImagePath:(NSString *)value;

@end
